﻿@model MIMS.Portal.ViewModels.Store.StoreViewModel
@using MIMS.Portal.Commons.Extensions;

@{
    ViewData["PageTitle"] = "اطلاعات فروشگاه";
}

<!-- Modal -->
<div id="modal-image-preview" class="modal fade" style="z-index:9999999;">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title"></h5>

                <button hidden type="button" class="close" data-dismiss="modal">
                    <span>&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <img src="" class="image-preview" style="width: 100%;">
            </div>
            <div class="modal-footer">
                <a id="image-save" class="btn btn-info image-download" href="" download="">ذخیره</a>
                <button type="button" class="btn btn-secondary" data-dismiss="modal">بستن</button>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                <h4 class="card-title">
                    @Model.StoreName
                </h4>
            </div>
            <div class="card-body">

                <div class="card-block">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantFullName" class="control-label"></label>
                                <p><strong>@Model.MerchantFullName</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantNationalCode" class="control-label"></label>
                                <p><strong>@Model.MerchantNationalCode</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="CreatedDate" class="control-label"></label>
                                <p><strong dir="ltr">@Model.CreatedDate.ToPeString()</strong></p>
                            </div>
                        </div>
                    </div>
                    <hr />
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="StoreName" class="control-label"></label>
                                <p><strong>@Model.StoreName</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="EnglishStoreName" class="control-label"></label>
                                <p><strong>@Model.EnglishStoreName</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="BusinessGroupId" class="control-label"></label>
                                <p><strong>@Model.BusinessGroupName</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="BusinessScopeId" class="control-label"></label>
                                <p><strong>@Model.BusinessScopeName</strong></p>
                            </div>
                        </div>
                    </div>
                    <hr />
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="ProvinceId" class="control-label"></label>
                                <p><strong>@Model.ProvinceName</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="CountyId" class="control-label"></label>
                                <p><strong>@Model.CountyName</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="CityId" class="control-label"></label>
                                <p><strong>@Model.CityName</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="PostalCode" class="control-label"></label>
                                <p><strong>@Model.PostalCode</strong></p>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label asp-for="Address" class="control-label"></label>
                                <p><strong>@Model.Address</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="Mobile" class="control-label"></label>
                                <p><strong>@Model.Mobile</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="Phone" class="control-label"></label>
                                <p><strong>@Model.Phone</strong></p>
                            </div>
                        </div>
                    </div>
                    <hr />
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="ResidenceType" class="control-label"></label>
                                <p><strong>@Html.DisplayFor(model => model.ResidenceType)</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3 residence-data">
                            <div class="form-group">
                                <label asp-for="DocumentNumber" class="control-label"></label>
                                <p><strong>@Model.DocumentNumber</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3 residence-data">
                            <div class="form-group">
                                <label asp-for="DocumentStartDate" class="control-label"></label>
                                <p><strong>@Model.DocumentStartDate</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3 residence-data">
                            <div class="form-group">
                                <label asp-for="DocumentEndDate" class="control-label"></label>
                                <p><strong>@Model.DocumentEndDate</strong></p>
                            </div>
                        </div>
                    </div>
                    <hr />
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="EconomicCode" class="control-label"></label>
                                <p><strong>@Model.EconomicCode</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="TaxTrackingCode" class="control-label"></label>
                                <p><strong>@Model.TaxTrackingCode</strong></p>
                            </div>
                        </div>
                    </div>
                    <hr />
                    <div class=" row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="StoreDocument" class="control-label"></label>
                                <a href="#" class="preview"> <img class="img-fluid" src="@Url.Content(Model.StoreDocumentUrl)" alt=""></a>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <div class="card-footer">
                <a asp-action="Edit" asp-controller="Stores" asp-route-Id="@Model.Id" class="btn btn-info"><i class="icon-edit0"></i> ویرایش</a>
            </div>
        </div>
    </div>
</div>



@section Scripts{

    <script>

        $('.preview').on('click', function () {
            $('.modal-title').text($(this).prevAll('label').first().text());
            $('.image-preview').attr('src', $(this).find('img').attr('src'));
            $('.image-download').attr('href', $(this).find('img').attr('src'));
            $('.image-download').attr('download', $(this).find('img').attr('src').split('/').pop());
            $('#modal-image-preview').modal({
                backdrop: 'static',
                keyboard: false,
                show: true
            });
        });

    </script>
}